io.vertx.ext.auth.webauthn

## Enum AuthenticatorAttachment

- java.lang.Object
- - java.lang.Enum<AuthenticatorAttachment>
  - - io.vertx.ext.auth.webauthn.AuthenticatorAttachment

- All Implemented Interfaces:
    Serializable, Comparable<AuthenticatorAttachment>

      public enum AuthenticatorAttachment
      extends Enum<AuthenticatorAttachment>

  AuthenticatorAttachment https://www.w3.org/TR/webauthn/#enumdef-authenticatorattachment

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CROSS_PLATFORM`
    `PLATFORM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticatorAttachment` | `of(String string)`
    `String` | `toString()`
    `static AuthenticatorAttachment` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthenticatorAttachment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLATFORM

          public static final AuthenticatorAttachment PLATFORM

    - #### CROSS_PLATFORM

          public static final AuthenticatorAttachment CROSS_PLATFORM

  - ### Method Detail

    - #### values

          public static AuthenticatorAttachment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticatorAttachment c : AuthenticatorAttachment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticatorAttachment valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<AuthenticatorAttachment>`

    - #### of

          public static AuthenticatorAttachment of(String string)

Copyright © 2020 Eclipse. All rights reserved.